---
title: text-decoration-thickness
slug: Web/CSS/text-decoration-thickness
tags:
  - CSS
  - CSS Text Decoration
  - Property
  - Reference
  - 'recipe:css-property'
  - text-decoration
  - text-decoration-thickness
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-decoration-thickness</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the stroke thickness of the decoration line that is used on text in an element, such as a line-through, underline, or overline.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single keyword */
text-decoration-thickness: auto;
text-decoration-thickness: from-font;

/* length */
text-decoration-thickness: 0.1em;
text-decoration-thickness: 3px;

/* percentage */
text-decoration-thickness: 10%;

/* Global values */
text-decoration-thickness: inherit;
text-decoration-thickness: initial;
text-decoration-thickness: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The browser chooses an appropriate width for the text decoration line.</dd>
 <dt><code>from-font</code></dt>
 <dd>If the font file includes information about a preferred thickness, use that value. If the font file doesn't include this information, behave as if <code>auto</code> was set, with the browser choosing an appropriate thickness.</dd>
 <dt><code>&lt;length&gt;</code></dt>
 <dd>Specifies the thickness of the text decoration line as a {{cssxref('length')}}, overriding the font file suggestion or the browser default.</dd>
 <dt><code>&lt;percentage&gt;</code></dt>
 <dd>Specifies the thickness of the text decoration line as a {{cssxref('percentage')}} of <strong>1em</strong> in the current font. A percentage inherits as a relative value, and so therefore scales with changes in the font. The browser must use a minimum of 1 device pixel. For a given application of this property, the thickness is constant across the whole box it is applied to, even if there are child elements with a different font size.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Varying_thickness">Varying thickness</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="thin"&gt;Here's some text with a 1px red underline.&lt;/p&gt;
&lt;p class="thick"&gt;This one has a 5px red underline.&lt;/p&gt;
&lt;p class="shorthand"&gt;This uses the equivalent shorthand.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.thin {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-color: red;
  text-decoration-thickness: 1px;
}

.thick {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-color: red;
  text-decoration-thickness: 5px;
}

.shorthand {
  text-decoration: underline solid red 5px;
}</pre>

<h4 id="Results">Results</h4>

<p>{{ EmbedLiveSample('Varying_thickness', '', '', '') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Text Decoration', '#text-decoration-width-property', 'text-decoration-width')}}</td>
   <td>{{Spec2('CSS4 Text Decoration')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p><strong>Note</strong>: The property used to be called <code>text-decoration-width</code>, but was updated in 2019 to <code>text-decoration-thickness</code>.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration-thickness")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("text-decoration")}}</li>
 <li>{{cssxref("text-underline-offset")}}</li>
</ul>
